using MongoDB.Bson;
using MongoDB.Bson.Serialization.Attributes;

namespace Marco.Pms.Model.AppMenu
{
    public class MenuSection
    {
        [BsonId]
        [BsonRepresentation(BsonType.String)]
        public Guid Id { get; set; } = Guid.NewGuid();

        public string? Header { get; set; }
        public string? Title { get; set; }
        public List<MenuItem> Items { get; set; } = new List<MenuItem>();

        [BsonRepresentation(BsonType.String)]
        public Guid TenantId { get; set; }
    }
}


